Description

A student here wanted a command like indent (to print out a list) but could not find it.

Indeed, I tried looking for the manual entry starting from they keyword list but did not find it.

Improve accessibility of the manual page for indent.

Related issues:

Related to CoCoA-5 - Support #333: manual entry for "indent" Closed 04 Apr 2013

History

#1 - 19 Jul 2019 11:00 - John Abbott

- Related to Support #333: manual entry for "indent" added

#2 - 19 Jul 2019 11:02 - John Abbott

To me the example in the manual page for indent is too long: it occupies too many lines, so that the description scrolls up out of sight (not such a big

problem in Emacs, but still inconvenient).

Can this be improved somehow?

#3 - 01 Oct 2019 14:47 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#4 - 04 Mar 2020 21:45 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have tried to improve the entry by changing the syntax.  Previously it was indent(X:OBJECT),

but this meant that indent did not appear as a function applicable to LIST or IDEAL or RECORD.

So the syntax is now indent(L:LIST) or indent(I:IDEAL) or indent(R:RECORD)

I left OBJECT for the 2 arg version.

Hope this was a good idea.

#5 - 01 Dec 2020 12:08 - John Abbott

Maybe this should be a new issue?  I was surprised at what indent did when given a module:
/**/ L := [x^3, x^2*y, x*y^2, y^3];

/**/ syz(L);

submodule(FreeModule(RingWithID(2, "QQ[x,y,z]"), 4), [[0, 0, y, -x], [0, y, -x, 0], [y, -x, 0, 0]])

/**/ indent(It);

SubmoduleRows(F, matrix([

  [0, 0, y, -x],

  [0, y, -x, 0],

  [y, -x, 0, 0]

]))

 

Is this really the behaviour that we want?  (maybe)

#6 - 01 Dec 2020 12:13 - John Abbott

I am tempted to remove the example of using indent with 2 args: it occupies a lot of vertical space, but conveys little information.

Is it unreasonable to let the user experiment to discover what the 2 arg version does?

#7 - 02 Mar 2021 08:47 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 80

I have removed the example of indent with 2 args; I really this it makes the manual page more readable.

I have changed the name of the second arg to RecursionDepth (from N) so a user can reasonably guess what it does (and the description also says

clearly).

#8 - 04 Mar 2021 17:20 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 80 to 100

- Estimated time set to 1.23 h

#9 - 19 Mar 2021 12:43 - Anna Maria Bigatti

- Status changed from Feedback to Closed
